Skip to main content
POST
/
v1
/
root-cause-analyses
/
error-groups
/
{errorGroupId}
Asynchronously generates a root cause analysis for a specific error group. Returns an `id` which you can use to poll the `/root-cause-analyses/{id}` endpoint.
curl --request POST \
  --url https://api.checklyhq.com/v1/root-cause-analyses/error-groups/{errorGroupId} \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "userContext": ""
}
'
{
  "id": "<string>"
}

Authorizations

Authorization
string
header
required

The Checkly Public API uses API keys to authenticate requests. You can get the API Key here. Your API key is like a password: keep it secure! Authentication to the API is performed using the Bearer auth method in the Authorization header and using the account ID. For example, set Authorization header while using cURL: curl -H "Authorization: Bearer [apiKey]" "X-Checkly-Account: [accountId]"

Headers

x-checkly-account
string

Your Checkly account ID, you can find it at https://app.checklyhq.com/settings/account/general

Path Parameters

errorGroupId
string
required

Body

application/json
userContext
string | null
default:""

Optional user defined context to provide extra details useful for the user impact and root cause analysis.

Maximum string length: 256

Response

Accepted

id
string
required